\name{org.Rn.refPATH}
\alias{org.Rn.refPATH}
\alias{org.Rn.refPATH2GI}
\title{Map protein identifier to KEGG pathway} 
\description{
  org.Rn.refPATH maps protein identifiers to KEGG pathway identifiers.
}
\details{
  Each protein identifier maps to KEGG pathway identifiers.

  Mappings were based on data provided by: KEGG (\url{ftp://ftp.genome.jp/pub/kegg/rno/rno_pathway.list ; ftp://ftp.genome.jp/pub/kegg/rno/rno_ncbi-geneid.list}) on
    
}

\examples{
	x <- org.Rn.refPATH
  # Get the protein identifiers that are mapped to KEGG pathways.
  mapped_proteins <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_proteins])
	if(length(xx) > 0){
		# Get the value of the first key
		xx[[1]]
	}
	
	## For the reverse map org.Rn.refPATH2GI
  xx <- as.list(org.Rn.refPATH2GI)
  if(length(xx) > 0){         
      ## Get the first one
      xx[[1]]
  } 
}

