\name{org.Rn.refSEQ}
\alias{org.Rn.refSEQ}
\title{Map protein identifier to the protein sequence}
\description{
  org.Rn.refSEQ provides mappings between a
  protein identifier and the protein Sequence. 
}
\details{
  Mappings were based on data provided by: RefSeq (\url{ftp://ftp.ncbi.nih.gov/refseq/R_norvegicus/mRNA_Prot/rat.protein.faa.gz}) on
  March 10, 2008  
}

\examples{
	x <- org.Rn.refSEQ
  # Get the protein identifiers that are mapped to protein sequences.
  mapped_proteins <- mappedkeys(x)
  # Convert to a list
  xx <- as.list(x[mapped_proteins])
  # randomly display 10 proteins
  sample(xx, 10)
}

