\name{org.Rn.ref_dbconn}
\alias{org.Rn.ref_dbconn}
\alias{org.Rn.ref_dbfile}
\alias{org.Rn.ref_dbschema}
\alias{org.Rn.ref_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  org.Rn.ref_dbconn()
  org.Rn.ref_dbfile()
  org.Rn.ref_dbschema(file="", show.indices=FALSE)
  org.Rn.ref_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{org.Rn.ref_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{org.Rn.ref_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{org.Rn.ref_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{org.Rn.ref_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{org.Rn.ref_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(org.Rn.ref_dbconn(), "select * from basic limit 3")

  ## The connection object returned by org.Rn.ref_dbconn() was created with:
  dbConnect(SQLite(), dbname=org.Rn.ref_dbfile(), cache_size=64000, synchronous=0)

  org.Rn.ref_dbschema()

  org.Rn.ref_dbInfo()
}
